## wxformbuilder 3.1.59

=== Makefile ===
# Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`
# Options:
#   CONFIG=[Release|Debug]

ifndef CONFIG
  CONFIG=Release
endif

export CONFIG

.PHONY: all clean wxPropGrid wxFlatNotebook wxScintilla plugin-interface TiCPP additional-components-plugin common-components-plugin containers-components-plugin layout-components-plugin wxadditions-mini-plugin wxFormBuilder

all: wxPropGrid wxFlatNotebook wxScintilla plugin-interface TiCPP additional-components-plugin common-components-plugin containers-components-plugin layout-components-plugin wxadditions-mini-plugin wxFormBuilder

wxPropGrid:
	@echo ==== Building wxPropGrid ====
	@$(MAKE) --no-print-directory -C src/controls/build/propgrid

wxFlatNotebook:
	@echo ==== Building wxFlatNotebook ====
	@$(MAKE) --no-print-directory -C src/controls/build/wxFlatNotebook

wxScintilla:
	@echo ==== Building wxScintilla ====
	@$(MAKE) --no-print-directory -C src/controls/build/wxScintilla

plugin-interface: TiCPP
	@echo ==== Building plugin-interface ====
	@$(MAKE) --no-print-directory -C sdk/plugin_interface

TiCPP:
	@echo ==== Building TiCPP ====
	@$(MAKE) --no-print-directory -C sdk/tinyxml

additional-components-plugin: plugin-interface TiCPP
	@echo ==== Building additional-components-plugin ====
	@$(MAKE) --no-print-directory -C plugins/additional

common-components-plugin: plugin-interface TiCPP
	@echo ==== Building common-components-plugin ====
	@$(MAKE) --no-print-directory -C plugins/common

containers-components-plugin: plugin-interface TiCPP
	@echo ==== Building containers-components-plugin ====
	@$(MAKE) --no-print-directory -C plugins/containers

layout-components-plugin: plugin-interface TiCPP
	@echo ==== Building layout-components-plugin ====
	@$(MAKE) --no-print-directory -C plugins/layout

wxadditions-mini-plugin: wxFlatNotebook wxPropGrid wxScintilla plugin-interface TiCPP
	@echo ==== Building wxadditions-mini-plugin ====
	@$(MAKE) --no-print-directory -C plugins/wxAdditions

wxFormBuilder: wxFlatNotebook wxPropGrid wxScintilla TiCPP plugin-interface
	@echo ==== Building wxFormBuilder ====
	@$(MAKE) --no-print-directory -C src

clean:
	@$(MAKE) --no-print-directory -C src/controls/build/propgrid clean
	@$(MAKE) --no-print-directory -C src/controls/build/wxFlatNotebook clean
	@$(MAKE) --no-print-directory -C src/controls/build/wxScintilla clean
	@$(MAKE) --no-print-directory -C sdk/plugin_interface clean
	@$(MAKE) --no-print-directory -C sdk/tinyxml clean
	@$(MAKE) --no-print-directory -C plugins/additional clean
	@$(MAKE) --no-print-directory -C plugins/common clean
	@$(MAKE) --no-print-directory -C plugins/containers clean
	@$(MAKE) --no-print-directory -C plugins/layout clean
	@$(MAKE) --no-print-directory -C plugins/wxAdditions clean
	@$(MAKE) --no-print-directory -C src clean

=== src/Makefile ===
# C++ Shared Library Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`

ifndef CONFIG
  CONFIG=Release
endif

ifeq ($(CONFIG),Release)
  BINDIR := ../output/bin
  LIBDIR := ..
  OBJDIR := .objsu
  OUTDIR := ../output/bin
  CPPFLAGS := -MMD -D "WXUSINGDLL_FNB" -D "TIXML_USE_TICPP" -D "NO_GCC_PRAGMA" -D "SCI_NAMESPACE" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "controls/include" -I "boost" -I "../src" -I "../sdk/tinyxml" -I "../sdk/plugin_interface"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -O3 -Wall -fno-strict-aliasing `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -mwindows -s -Wl,-rpath,/usr/lib/wxformbuilder `wx-config --libs` -L"../output/lib/wxformbuilder" -L"../sdk/lib" -lwx_gtk2u_flatnotebook-2.8_wxfb -lwx_gtk2u_propgrid-2.8_wxfb -lwx_gtk2u_scintilla-2.8_wxfb -lticpp -lfbPluginInterface
  LDDEPS := ../output/lib/wxformbuilder/libwx_gtk2u_flatnotebook-2.8_wxfb.so ../output/lib/wxformbuilder/libwx_gtk2u_propgrid-2.8_wxfb.so ../output/lib/wxformbuilder/libwx_gtk2u_scintilla-2.8_wxfb.so ../sdk/lib/libticpp.a ../sdk/lib/libfbPluginInterface.a
  RESFLAGS := -D "WXUSINGDLL_FNB" -D "TIXML_USE_TICPP" -D "NO_GCC_PRAGMA" -D "SCI_NAMESPACE" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "controls/include" -I "boost" -I "../src" -I "../sdk/tinyxml" -I "../sdk/plugin_interface"
  TARGET := wxformbuilder
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

ifeq ($(CONFIG),Debug)
  BINDIR := ../output/bin
  LIBDIR := ..
  OBJDIR := .objsud
  OUTDIR := ../output/bin
  CPPFLAGS := -MMD -D "WXUSINGDLL_FNB" -D "TIXML_USE_TICPP" -D "NO_GCC_PRAGMA" -D "SCI_NAMESPACE" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "controls/include" -I "boost" -I "../src" -I "../sdk/tinyxml" -I "../sdk/plugin_interface"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -g -Wall -O0 `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -mwindows -Wl,-rpath,/usr/lib/wxformbuilder `wx-config --debug=no --libs` -L"../output/lib/wxformbuilder" -L"../sdk/lib" -lwx_gtk2u_flatnotebook-2.8_wxfb -lwx_gtk2u_propgrid-2.8_wxfb -lwx_gtk2u_scintilla-2.8_wxfb -lticppd -lfbPluginInterfaced
  LDDEPS := ../output/lib/wxformbuilder/libwx_gtk2u_flatnotebook-2.8_wxfb.so ../output/lib/wxformbuilder/libwx_gtk2u_propgrid-2.8_wxfb.so ../output/lib/wxformbuilder/libwx_gtk2u_scintilla-2.8_wxfb.so ../sdk/lib/libticppd.a ../sdk/lib/libfbPluginInterfaced.a
  RESFLAGS := -D "WXUSINGDLL_FNB" -D "TIXML_USE_TICPP" -D "NO_GCC_PRAGMA" -D "SCI_NAMESPACE" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "controls/include" -I "boost" -I "../src" -I "../sdk/tinyxml" -I "../sdk/plugin_interface"
  TARGET := wxformbuilderd
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

OBJECTS := \
	$(OBJDIR)/maingui.o \
	$(OBJDIR)/splashscreen.o \
	$(OBJDIR)/database.o \
	$(OBJDIR)/xrcfilter.o \
	$(OBJDIR)/objectbase.o \
	$(OBJDIR)/types.o \
	$(OBJDIR)/title.o \
	$(OBJDIR)/palette.o \
	$(OBJDIR)/genericpanel.o \
	$(OBJDIR)/wxfbmanager.o \
	$(OBJDIR)/bitmaps.o \
	$(OBJDIR)/about.o \
	$(OBJDIR)/cmdproc.o \
	$(OBJDIR)/wxfbevent.o \
	$(OBJDIR)/customkeys.o \
	$(OBJDIR)/mainframe.o \
	$(OBJDIR)/menueditor.o \
	$(OBJDIR)/appdata.o \
	$(OBJDIR)/xrcpreview.o \
	$(OBJDIR)/xrcpanel.o \
	$(OBJDIR)/objecttree.o \
	$(OBJDIR)/objinspect.o \
	$(OBJDIR)/geninhertclass_gui.o \
	$(OBJDIR)/geninhertclass.o \
	$(OBJDIR)/dataobject.o \
	$(OBJDIR)/visualobj.o \
	$(OBJDIR)/visualeditor.o \
	$(OBJDIR)/menubar.o \
	$(OBJDIR)/resizablepanel.o \
	$(OBJDIR)/innerframe.o \
	$(OBJDIR)/codeeditor.o \
	$(OBJDIR)/cpppanel.o \
	$(OBJDIR)/annoyingdialog.o \
	$(OBJDIR)/debug.o \
	$(OBJDIR)/encodingutils.o \
	$(OBJDIR)/stringutils.o \
	$(OBJDIR)/wxfbipc.o \
	$(OBJDIR)/typeconv.o \
	$(OBJDIR)/xrccg.o \
	$(OBJDIR)/codegen.o \
	$(OBJDIR)/cppcg.o \
	$(OBJDIR)/codewriter.o \
	$(OBJDIR)/stack.o \
	$(OBJDIR)/md5.o \

MKDIR_TYPE := msdos
CMD := $(subst \,\\,$(ComSpec)$(COMSPEC))
ifeq (,$(CMD))
  MKDIR_TYPE := posix
endif
ifeq (/bin/sh.exe,$(SHELL))
  MKDIR_TYPE := posix
endif
ifeq ($(MKDIR_TYPE),posix)
  CMD_MKBINDIR := mkdir -p $(BINDIR)
  CMD_MKLIBDIR := mkdir -p $(LIBDIR)
  CMD_MKOUTDIR := mkdir -p $(OUTDIR)
  CMD_MKOBJDIR := mkdir -p $(OBJDIR)
else
  CMD_MKBINDIR := $(CMD) /c if not exist $(subst /,\\,$(BINDIR)) mkdir $(subst /,\\,$(BINDIR))
  CMD_MKLIBDIR := $(CMD) /c if not exist $(subst /,\\,$(LIBDIR)) mkdir $(subst /,\\,$(LIBDIR))
  CMD_MKOUTDIR := $(CMD) /c if not exist $(subst /,\\,$(OUTDIR)) mkdir $(subst /,\\,$(OUTDIR))
  CMD_MKOBJDIR := $(CMD) /c if not exist $(subst /,\\,$(OBJDIR)) mkdir $(subst /,\\,$(OBJDIR))
endif

.PHONY: clean

$(OUTDIR)/$(TARGET): $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Linking wxFormBuilder
	-@$(CMD_MKBINDIR)
	-@$(CMD_MKLIBDIR)
	-@$(CMD_MKOUTDIR)
	@$(BLDCMD)

clean:
	@echo Cleaning wxFormBuilder
ifeq ($(MKDIR_TYPE),posix)
	-@rm -f $(OUTDIR)/$(TARGET)
	-@rm -rf $(OBJDIR)
else
	-@if exist $(subst /,\,$(OUTDIR)/$(TARGET)) del /q $(subst /,\,$(OUTDIR)/$(TARGET))
	-@if exist $(subst /,\,$(OBJDIR)) del /q $(subst /,\,$(OBJDIR))
	-@if exist $(subst /,\,$(OBJDIR)) rmdir /s /q $(subst /,\,$(OBJDIR))
endif

$(OBJDIR)/maingui.o: maingui.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/splashscreen.o: splashscreen.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/database.o: model/database.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/xrcfilter.o: model/xrcfilter.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/objectbase.o: model/objectbase.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/types.o: model/types.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/title.o: rad/title.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/palette.o: rad/palette.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/genericpanel.o: rad/genericpanel.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/wxfbmanager.o: rad/wxfbmanager.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/bitmaps.o: rad/bitmaps.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/about.o: rad/about.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/cmdproc.o: rad/cmdproc.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/wxfbevent.o: rad/wxfbevent.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/customkeys.o: rad/customkeys.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/mainframe.o: rad/mainframe.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/menueditor.o: rad/menueditor.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/appdata.o: rad/appdata.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/xrcpreview.o: rad/xrcpreview/xrcpreview.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/xrcpanel.o: rad/xrcpanel/xrcpanel.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/objecttree.o: rad/objecttree/objecttree.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/objinspect.o: rad/inspector/objinspect.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/geninhertclass_gui.o: rad/geninheritclass/geninhertclass_gui.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/geninhertclass.o: rad/geninheritclass/geninhertclass.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/dataobject.o: rad/dataobject/dataobject.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/visualobj.o: rad/designer/visualobj.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/visualeditor.o: rad/designer/visualeditor.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/menubar.o: rad/designer/menubar.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/resizablepanel.o: rad/designer/resizablepanel.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/innerframe.o: rad/designer/innerframe.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/codeeditor.o: rad/codeeditor/codeeditor.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/cpppanel.o: rad/cpppanel/cpppanel.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/annoyingdialog.o: utils/annoyingdialog.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/debug.o: utils/debug.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/encodingutils.o: utils/encodingutils.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/stringutils.o: utils/stringutils.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/wxfbipc.o: utils/wxfbipc.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/typeconv.o: utils/typeconv.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/xrccg.o: codegen/xrccg.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/codegen.o: codegen/codegen.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/cppcg.o: codegen/cppcg.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/codewriter.o: codegen/codewriter.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/stack.o: dbg_stack_trace/stack.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/md5.o: md5/md5.cc
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

-include $(OBJECTS:%.o=%.d)

=== plugins/additional/Makefile ===
# C++ Static Library Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`

ifndef CONFIG
  CONFIG=Release
endif

ifeq ($(CONFIG),Release)
  BINDIR := ../../output/lib/wxformbuilder
  LIBDIR := ../..
  OBJDIR := .objsu
  OUTDIR := ../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -O3 -Wall -fPIC -fno-strict-aliasing `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared -s `wx-config --libs std richtext` -L../../sdk/lib -lfbPluginInterface -L../../sdk/lib -lticpp
  LDDEPS := ../../sdk/lib/libfbPluginInterface.a ../../sdk/lib/libticpp.a
  RESFLAGS := -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  TARGET := libadditional.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

ifeq ($(CONFIG),Debug)
  BINDIR := ../../output/lib/wxformbuilder
  LIBDIR := ../..
  OBJDIR := .objsud
  OUTDIR := ../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -g -Wall -fPIC -O0 `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared `wx-config --debug=no --libs std richtext` -L../../sdk/lib -lfbPluginInterfaced -L../../sdk/lib -lticppd
  LDDEPS := ../../sdk/lib/libfbPluginInterfaced.a ../../sdk/lib/libticppd.a
  RESFLAGS := -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  TARGET := libadditionald.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

OBJECTS := \
	$(OBJDIR)/additional.o \

MKDIR_TYPE := msdos
CMD := $(subst \,\\,$(ComSpec)$(COMSPEC))
ifeq (,$(CMD))
  MKDIR_TYPE := posix
endif
ifeq (/bin/sh.exe,$(SHELL))
  MKDIR_TYPE := posix
endif
ifeq ($(MKDIR_TYPE),posix)
  CMD_MKBINDIR := mkdir -p $(BINDIR)
  CMD_MKLIBDIR := mkdir -p $(LIBDIR)
  CMD_MKOUTDIR := mkdir -p $(OUTDIR)
  CMD_MKOBJDIR := mkdir -p $(OBJDIR)
else
  CMD_MKBINDIR := $(CMD) /c if not exist $(subst /,\\,$(BINDIR)) mkdir $(subst /,\\,$(BINDIR))
  CMD_MKLIBDIR := $(CMD) /c if not exist $(subst /,\\,$(LIBDIR)) mkdir $(subst /,\\,$(LIBDIR))
  CMD_MKOUTDIR := $(CMD) /c if not exist $(subst /,\\,$(OUTDIR)) mkdir $(subst /,\\,$(OUTDIR))
  CMD_MKOBJDIR := $(CMD) /c if not exist $(subst /,\\,$(OBJDIR)) mkdir $(subst /,\\,$(OBJDIR))
endif

.PHONY: clean

$(OUTDIR)/$(TARGET): $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Linking additional-components-plugin
	-@$(CMD_MKBINDIR)
	-@$(CMD_MKLIBDIR)
	-@$(CMD_MKOUTDIR)
	@$(BLDCMD)

clean:
	@echo Cleaning additional-components-plugin
ifeq ($(MKDIR_TYPE),posix)
	-@rm -f $(OUTDIR)/$(TARGET)
	-@rm -rf $(OBJDIR)
else
	-@if exist $(subst /,\,$(OUTDIR)/$(TARGET)) del /q $(subst /,\,$(OUTDIR)/$(TARGET))
	-@if exist $(subst /,\,$(OBJDIR)) del /q $(subst /,\,$(OBJDIR))
	-@if exist $(subst /,\,$(OBJDIR)) rmdir /s /q $(subst /,\,$(OBJDIR))
endif

$(OBJDIR)/additional.o: additional.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

-include $(OBJECTS:%.o=%.d)

=== plugins/common/Makefile ===
# C++ Shared Library Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`

ifndef CONFIG
  CONFIG=Release
endif

ifeq ($(CONFIG),Release)
  BINDIR := ../../output/lib/wxformbuilder
  LIBDIR := ../..
  OBJDIR := .objsu
  OUTDIR := ../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -O3 -Wall -fPIC -fno-strict-aliasing `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared -s `wx-config --libs` -L../../sdk/lib -lfbPluginInterface -L../../sdk/lib -lticpp
  LDDEPS := ../../sdk/lib/libfbPluginInterface.a ../../sdk/lib/libticpp.a
  RESFLAGS := -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  TARGET := libcommon.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

ifeq ($(CONFIG),Debug)
  BINDIR := ../../output/lib/wxformbuilder
  LIBDIR := ../..
  OBJDIR := .objsud
  OUTDIR := ../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -g -Wall -fPIC -O0 `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared `wx-config --debug=no --libs` -L../../sdk/lib -lfbPluginInterfaced -L../../sdk/lib -lticppd
  LDDEPS := ../../sdk/lib/libfbPluginInterfaced.a ../../sdk/lib/libticppd.a
  RESFLAGS := -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  TARGET := libcommond.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

OBJECTS := \
	$(OBJDIR)/common.o \

MKDIR_TYPE := msdos
CMD := $(subst \,\\,$(ComSpec)$(COMSPEC))
ifeq (,$(CMD))
  MKDIR_TYPE := posix
endif
ifeq (/bin/sh.exe,$(SHELL))
  MKDIR_TYPE := posix
endif
ifeq ($(MKDIR_TYPE),posix)
  CMD_MKBINDIR := mkdir -p $(BINDIR)
  CMD_MKLIBDIR := mkdir -p $(LIBDIR)
  CMD_MKOUTDIR := mkdir -p $(OUTDIR)
  CMD_MKOBJDIR := mkdir -p $(OBJDIR)
else
  CMD_MKBINDIR := $(CMD) /c if not exist $(subst /,\\,$(BINDIR)) mkdir $(subst /,\\,$(BINDIR))
  CMD_MKLIBDIR := $(CMD) /c if not exist $(subst /,\\,$(LIBDIR)) mkdir $(subst /,\\,$(LIBDIR))
  CMD_MKOUTDIR := $(CMD) /c if not exist $(subst /,\\,$(OUTDIR)) mkdir $(subst /,\\,$(OUTDIR))
  CMD_MKOBJDIR := $(CMD) /c if not exist $(subst /,\\,$(OBJDIR)) mkdir $(subst /,\\,$(OBJDIR))
endif

.PHONY: clean

$(OUTDIR)/$(TARGET): $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Linking common-components-plugin
	-@$(CMD_MKBINDIR)
	-@$(CMD_MKLIBDIR)
	-@$(CMD_MKOUTDIR)
	@$(BLDCMD)

clean:
	@echo Cleaning common-components-plugin
ifeq ($(MKDIR_TYPE),posix)
	-@rm -f $(OUTDIR)/$(TARGET)
	-@rm -rf $(OBJDIR)
else
	-@if exist $(subst /,\,$(OUTDIR)/$(TARGET)) del /q $(subst /,\,$(OUTDIR)/$(TARGET))
	-@if exist $(subst /,\,$(OBJDIR)) del /q $(subst /,\,$(OBJDIR))
	-@if exist $(subst /,\,$(OBJDIR)) rmdir /s /q $(subst /,\,$(OBJDIR))
endif

$(OBJDIR)/common.o: common.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

-include $(OBJECTS:%.o=%.d)

=== plugins/containers/Makefile ===
# C++ Shared Library Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`

ifndef CONFIG
  CONFIG=Release
endif

ifeq ($(CONFIG),Release)
  BINDIR := ../../output/lib/wxformbuilder
  LIBDIR := ../..
  OBJDIR := .objsu
  OUTDIR := ../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -O3 -Wall -fPIC -fno-strict-aliasing `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared -s `wx-config --libs` -L../../sdk/lib -lfbPluginInterface -L../../sdk/lib -lticpp
  LDDEPS := ../../sdk/lib/libfbPluginInterface.a ../../sdk/lib/libticpp.a
  RESFLAGS := -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  TARGET := libcontainers.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

ifeq ($(CONFIG),Debug)
  BINDIR := ../../output/lib/wxformbuilder
  LIBDIR := ../..
  OBJDIR := .objsud
  OUTDIR := ../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -g -Wall -fPIC -O0 `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared `wx-config --debug=no --libs` -L../../sdk/lib -lfbPluginInterfaced -L../../sdk/lib -lticppd
  LDDEPS := ../../sdk/lib/libfbPluginInterfaced.a ../../sdk/lib/libticppd.a
  RESFLAGS := -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  TARGET := libcontainersd.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

OBJECTS := \
	$(OBJDIR)/containers.o \

MKDIR_TYPE := msdos
CMD := $(subst \,\\,$(ComSpec)$(COMSPEC))
ifeq (,$(CMD))
  MKDIR_TYPE := posix
endif
ifeq (/bin/sh.exe,$(SHELL))
  MKDIR_TYPE := posix
endif
ifeq ($(MKDIR_TYPE),posix)
  CMD_MKBINDIR := mkdir -p $(BINDIR)
  CMD_MKLIBDIR := mkdir -p $(LIBDIR)
  CMD_MKOUTDIR := mkdir -p $(OUTDIR)
  CMD_MKOBJDIR := mkdir -p $(OBJDIR)
else
  CMD_MKBINDIR := $(CMD) /c if not exist $(subst /,\\,$(BINDIR)) mkdir $(subst /,\\,$(BINDIR))
  CMD_MKLIBDIR := $(CMD) /c if not exist $(subst /,\\,$(LIBDIR)) mkdir $(subst /,\\,$(LIBDIR))
  CMD_MKOUTDIR := $(CMD) /c if not exist $(subst /,\\,$(OUTDIR)) mkdir $(subst /,\\,$(OUTDIR))
  CMD_MKOBJDIR := $(CMD) /c if not exist $(subst /,\\,$(OBJDIR)) mkdir $(subst /,\\,$(OBJDIR))
endif

.PHONY: clean

$(OUTDIR)/$(TARGET): $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Linking containers-components-plugin
	-@$(CMD_MKBINDIR)
	-@$(CMD_MKLIBDIR)
	-@$(CMD_MKOUTDIR)
	@$(BLDCMD)

clean:
	@echo Cleaning containers-components-plugin
ifeq ($(MKDIR_TYPE),posix)
	-@rm -f $(OUTDIR)/$(TARGET)
	-@rm -rf $(OBJDIR)
else
	-@if exist $(subst /,\,$(OUTDIR)/$(TARGET)) del /q $(subst /,\,$(OUTDIR)/$(TARGET))
	-@if exist $(subst /,\,$(OBJDIR)) del /q $(subst /,\,$(OBJDIR))
	-@if exist $(subst /,\,$(OBJDIR)) rmdir /s /q $(subst /,\,$(OBJDIR))
endif

$(OBJDIR)/containers.o: containers.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

-include $(OBJECTS:%.o=%.d)

=== plugins/layout/Makefile ===
# C++ Shared Library Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`

ifndef CONFIG
  CONFIG=Release
endif

ifeq ($(CONFIG),Release)
  BINDIR := ../../output/lib/wxformbuilder
  LIBDIR := ../..
  OBJDIR := .objsu
  OUTDIR := ../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -O3 -Wall -fPIC -fno-strict-aliasing `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared -s `wx-config --libs` -L../../sdk/lib -lfbPluginInterface -L../../sdk/lib -lticpp
  LDDEPS := ../../sdk/lib/libfbPluginInterface.a ../../sdk/lib/libticpp.a
  RESFLAGS := -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  TARGET := liblayout.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

ifeq ($(CONFIG),Debug)
  BINDIR := ../../output/lib/wxformbuilder
  LIBDIR := ../..
  OBJDIR := .objsud
  OUTDIR := ../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -g -Wall -fPIC -O0 `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared `wx-config --debug=no --libs` -L../../sdk/lib -lfbPluginInterfaced -L../../sdk/lib -lticppd
  LDDEPS := ../../sdk/lib/libfbPluginInterfaced.a ../../sdk/lib/libticppd.a
  RESFLAGS := -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  TARGET := liblayoutd.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

OBJECTS := \
	$(OBJDIR)/layout.o \

MKDIR_TYPE := msdos
CMD := $(subst \,\\,$(ComSpec)$(COMSPEC))
ifeq (,$(CMD))
  MKDIR_TYPE := posix
endif
ifeq (/bin/sh.exe,$(SHELL))
  MKDIR_TYPE := posix
endif
ifeq ($(MKDIR_TYPE),posix)
  CMD_MKBINDIR := mkdir -p $(BINDIR)
  CMD_MKLIBDIR := mkdir -p $(LIBDIR)
  CMD_MKOUTDIR := mkdir -p $(OUTDIR)
  CMD_MKOBJDIR := mkdir -p $(OBJDIR)
else
  CMD_MKBINDIR := $(CMD) /c if not exist $(subst /,\\,$(BINDIR)) mkdir $(subst /,\\,$(BINDIR))
  CMD_MKLIBDIR := $(CMD) /c if not exist $(subst /,\\,$(LIBDIR)) mkdir $(subst /,\\,$(LIBDIR))
  CMD_MKOUTDIR := $(CMD) /c if not exist $(subst /,\\,$(OUTDIR)) mkdir $(subst /,\\,$(OUTDIR))
  CMD_MKOBJDIR := $(CMD) /c if not exist $(subst /,\\,$(OBJDIR)) mkdir $(subst /,\\,$(OBJDIR))
endif

.PHONY: clean

$(OUTDIR)/$(TARGET): $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Linking layout-components-plugin
	-@$(CMD_MKBINDIR)
	-@$(CMD_MKLIBDIR)
	-@$(CMD_MKOUTDIR)
	@$(BLDCMD)

clean:
	@echo Cleaning layout-components-plugin
ifeq ($(MKDIR_TYPE),posix)
	-@rm -f $(OUTDIR)/$(TARGET)
	-@rm -rf $(OBJDIR)
else
	-@if exist $(subst /,\,$(OUTDIR)/$(TARGET)) del /q $(subst /,\,$(OUTDIR)/$(TARGET))
	-@if exist $(subst /,\,$(OBJDIR)) del /q $(subst /,\,$(OBJDIR))
	-@if exist $(subst /,\,$(OBJDIR)) rmdir /s /q $(subst /,\,$(OBJDIR))
endif

$(OBJDIR)/layout.o: layout.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

-include $(OBJECTS:%.o=%.d)

=== plugins/wxAdditions/Makefile ===
# C++ Shared Library Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`

ifndef CONFIG
  CONFIG=Release
endif

ifeq ($(CONFIG),Release)
  BINDIR := ../../output/lib/wxformbuilder
  LIBDIR := ../..
  OBJDIR := .objsu
  OUTDIR := ../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "SCI_NAMESPACE" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "../../src/controls/include" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -O3 -Wall -fPIC -fno-strict-aliasing `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared -s -Wl,-rpath,/usr/lib/wxformbuilder `wx-config --libs` -L"../../output/lib/wxformbuilder" -lwx_gtk2u_flatnotebook-2.8_wxfb -lwx_gtk2u_propgrid-2.8_wxfb -lwx_gtk2u_scintilla-2.8_wxfb -L../../sdk/lib -lfbPluginInterface -L../../sdk/lib -lticpp
  LDDEPS := ../../output/lib/wxformbuilder/libwx_gtk2u_flatnotebook-2.8_wxfb.so ../../output/lib/wxformbuilder/libwx_gtk2u_propgrid-2.8_wxfb.so ../../output/lib/wxformbuilder/libwx_gtk2u_scintilla-2.8_wxfb.so ../../sdk/lib/libfbPluginInterface.a ../../sdk/lib/libticpp.a
  RESFLAGS := -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "SCI_NAMESPACE" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "../../src/controls/include" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  TARGET := libwxadditions-mini.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

ifeq ($(CONFIG),Debug)
  BINDIR := ../../output/lib/wxformbuilder
  LIBDIR := ../..
  OBJDIR := .objsud
  OUTDIR := ../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "SCI_NAMESPACE" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../src/controls/include" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -g -Wall -fPIC -O0 `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared -Wl,-rpath,/usr/lib/wxformbuilder `wx-config --debug=no --libs` -L"../../output/lib/wxformbuilder" -lwx_gtk2u_flatnotebook-2.8_wxfb -lwx_gtk2u_propgrid-2.8_wxfb -lwx_gtk2u_scintilla-2.8_wxfb -L../../sdk/lib -lfbPluginInterfaced -L../../sdk/lib -lticppd
  LDDEPS := ../../output/lib/wxformbuilder/libwx_gtk2u_flatnotebook-2.8_wxfb.so ../../output/lib/wxformbuilder/libwx_gtk2u_propgrid-2.8_wxfb.so ../../output/lib/wxformbuilder/libwx_gtk2u_scintilla-2.8_wxfb.so ../../sdk/lib/libfbPluginInterfaced.a ../../sdk/lib/libticppd.a
  RESFLAGS := -D "BUILD_DLL" -D "TIXML_USE_TICPP" -D "SCI_NAMESPACE" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../src/controls/include" -I "../../sdk/tinyxml" -I "../../sdk/plugin_interface"
  TARGET := libwxadditions-minid.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

OBJECTS := \
	$(OBJDIR)/wxAdditions_mini.o \

MKDIR_TYPE := msdos
CMD := $(subst \,\\,$(ComSpec)$(COMSPEC))
ifeq (,$(CMD))
  MKDIR_TYPE := posix
endif
ifeq (/bin/sh.exe,$(SHELL))
  MKDIR_TYPE := posix
endif
ifeq ($(MKDIR_TYPE),posix)
  CMD_MKBINDIR := mkdir -p $(BINDIR)
  CMD_MKLIBDIR := mkdir -p $(LIBDIR)
  CMD_MKOUTDIR := mkdir -p $(OUTDIR)
  CMD_MKOBJDIR := mkdir -p $(OBJDIR)
else
  CMD_MKBINDIR := $(CMD) /c if not exist $(subst /,\\,$(BINDIR)) mkdir $(subst /,\\,$(BINDIR))
  CMD_MKLIBDIR := $(CMD) /c if not exist $(subst /,\\,$(LIBDIR)) mkdir $(subst /,\\,$(LIBDIR))
  CMD_MKOUTDIR := $(CMD) /c if not exist $(subst /,\\,$(OUTDIR)) mkdir $(subst /,\\,$(OUTDIR))
  CMD_MKOBJDIR := $(CMD) /c if not exist $(subst /,\\,$(OBJDIR)) mkdir $(subst /,\\,$(OBJDIR))
endif

.PHONY: clean

$(OUTDIR)/$(TARGET): $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Linking wxadditions-mini-plugin
	-@$(CMD_MKBINDIR)
	-@$(CMD_MKLIBDIR)
	-@$(CMD_MKOUTDIR)
	@$(BLDCMD)

clean:
	@echo Cleaning wxadditions-mini-plugin
ifeq ($(MKDIR_TYPE),posix)
	-@rm -f $(OUTDIR)/$(TARGET)
	-@rm -rf $(OBJDIR)
else
	-@if exist $(subst /,\,$(OUTDIR)/$(TARGET)) del /q $(subst /,\,$(OUTDIR)/$(TARGET))
	-@if exist $(subst /,\,$(OBJDIR)) del /q $(subst /,\,$(OBJDIR))
	-@if exist $(subst /,\,$(OBJDIR)) rmdir /s /q $(subst /,\,$(OBJDIR))
endif

$(OBJDIR)/wxAdditions_mini.o: wxAdditions_mini.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

-include $(OBJECTS:%.o=%.d)

=== sdk/plugin_interface/Makefile ===
# C++ Shared Library Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`

ifndef CONFIG
  CONFIG=Release
endif

ifeq ($(CONFIG),Release)
  BINDIR := ../../output/lib/wxformbuilder
  LIBDIR := ../lib
  OBJDIR := .objsu
  OUTDIR := ../lib
  CPPFLAGS := -MMD -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "../tinyxml"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -O3 -Wall -fPIC -fno-strict-aliasing `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -s `wx-config --libs` -lticpp
  LDDEPS := ../lib/libticpp.a
  RESFLAGS := -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "../tinyxml"
  TARGET := libfbPluginInterface.a
  BLDCMD = ar -rcs $(OUTDIR)/$(TARGET) $(OBJECTS) $(TARGET_ARCH)
endif

ifeq ($(CONFIG),Debug)
  BINDIR := ../../output/lib/wxformbuilder
  LIBDIR := ../lib
  OBJDIR := .objsud
  OUTDIR := ../lib
  CPPFLAGS := -MMD -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../tinyxml"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -g -Wall -fPIC -O0 `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) `wx-config --debug=no --libs` -lticppd
  LDDEPS := ../lib/libticppd.a
  RESFLAGS := -D "TIXML_USE_TICPP" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../tinyxml"
  TARGET := libfbPluginInterfaced.a
  BLDCMD = ar -rcs $(OUTDIR)/$(TARGET) $(OBJECTS) $(TARGET_ARCH)
endif

OBJECTS := \
	$(OBJDIR)/xrcconv.o \

MKDIR_TYPE := msdos
CMD := $(subst \,\\,$(ComSpec)$(COMSPEC))
ifeq (,$(CMD))
  MKDIR_TYPE := posix
endif
ifeq (/bin/sh.exe,$(SHELL))
  MKDIR_TYPE := posix
endif
ifeq ($(MKDIR_TYPE),posix)
  CMD_MKBINDIR := mkdir -p $(BINDIR)
  CMD_MKLIBDIR := mkdir -p $(LIBDIR)
  CMD_MKOUTDIR := mkdir -p $(OUTDIR)
  CMD_MKOBJDIR := mkdir -p $(OBJDIR)
else
  CMD_MKBINDIR := $(CMD) /c if not exist $(subst /,\\,$(BINDIR)) mkdir $(subst /,\\,$(BINDIR))
  CMD_MKLIBDIR := $(CMD) /c if not exist $(subst /,\\,$(LIBDIR)) mkdir $(subst /,\\,$(LIBDIR))
  CMD_MKOUTDIR := $(CMD) /c if not exist $(subst /,\\,$(OUTDIR)) mkdir $(subst /,\\,$(OUTDIR))
  CMD_MKOBJDIR := $(CMD) /c if not exist $(subst /,\\,$(OBJDIR)) mkdir $(subst /,\\,$(OBJDIR))
endif

.PHONY: clean

$(OUTDIR)/$(TARGET): $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Linking plugin-interface
	-@$(CMD_MKBINDIR)
	-@$(CMD_MKLIBDIR)
	-@$(CMD_MKOUTDIR)
	@$(BLDCMD)

clean:
	@echo Cleaning plugin-interface
ifeq ($(MKDIR_TYPE),posix)
	-@rm -f $(OUTDIR)/$(TARGET)
	-@rm -rf $(OBJDIR)
else
	-@if exist $(subst /,\,$(OUTDIR)/$(TARGET)) del /q $(subst /,\,$(OUTDIR)/$(TARGET))
	-@if exist $(subst /,\,$(OBJDIR)) del /q $(subst /,\,$(OBJDIR))
	-@if exist $(subst /,\,$(OBJDIR)) rmdir /s /q $(subst /,\,$(OBJDIR))
endif

$(OBJDIR)/xrcconv.o: xrcconv.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

-include $(OBJECTS:%.o=%.d)

=== sdk/tinyxml/Makefile ===
# C++ Static Library Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`

ifndef CONFIG
  CONFIG=Release
endif

ifeq ($(CONFIG),Release)
  BINDIR := ../lib
  LIBDIR := ../lib
  OBJDIR := .obj/Release
  OUTDIR := ../lib
  CPPFLAGS := -MMD -D "TIXML_USE_TICPP" -D "UNICODE" -D "_UNICODE" -D "NDEBUG"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -O3 -Wall -fPIC
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -s
  LDDEPS :=
  RESFLAGS := -D "TIXML_USE_TICPP" -D "UNICODE" -D "_UNICODE" -D "NDEBUG"
  TARGET := libticpp.a
  BLDCMD = ar -rcs $(OUTDIR)/$(TARGET) $(OBJECTS) $(TARGET_ARCH)
endif

ifeq ($(CONFIG),Debug)
  BINDIR := ../lib
  LIBDIR := ../lib
  OBJDIR := .obj/Debug
  OUTDIR := ../lib
  CPPFLAGS := -MMD -D "TIXML_USE_TICPP" -D "UNICODE" -D "_UNICODE" -D "DEBUG" -D "_DEBUG"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -g -Wall -fPIC -O0
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR)
  LDDEPS :=
  RESFLAGS := -D "TIXML_USE_TICPP" -D "UNICODE" -D "_UNICODE" -D "DEBUG" -D "_DEBUG"
  TARGET := libticppd.a
  BLDCMD = ar -rcs $(OUTDIR)/$(TARGET) $(OBJECTS) $(TARGET_ARCH)
endif

OBJECTS := \
	$(OBJDIR)/tinyxmlerror.o \
	$(OBJDIR)/tinystr.o \
	$(OBJDIR)/ticpp.o \
	$(OBJDIR)/tinyxml.o \
	$(OBJDIR)/tinyxmlparser.o \

MKDIR_TYPE := msdos
CMD := $(subst \,\\,$(ComSpec)$(COMSPEC))
ifeq (,$(CMD))
  MKDIR_TYPE := posix
endif
ifeq (/bin/sh.exe,$(SHELL))
  MKDIR_TYPE := posix
endif
ifeq ($(MKDIR_TYPE),posix)
  CMD_MKBINDIR := mkdir -p $(BINDIR)
  CMD_MKLIBDIR := mkdir -p $(LIBDIR)
  CMD_MKOUTDIR := mkdir -p $(OUTDIR)
  CMD_MKOBJDIR := mkdir -p $(OBJDIR)
else
  CMD_MKBINDIR := $(CMD) /c if not exist $(subst /,\\,$(BINDIR)) mkdir $(subst /,\\,$(BINDIR))
  CMD_MKLIBDIR := $(CMD) /c if not exist $(subst /,\\,$(LIBDIR)) mkdir $(subst /,\\,$(LIBDIR))
  CMD_MKOUTDIR := $(CMD) /c if not exist $(subst /,\\,$(OUTDIR)) mkdir $(subst /,\\,$(OUTDIR))
  CMD_MKOBJDIR := $(CMD) /c if not exist $(subst /,\\,$(OBJDIR)) mkdir $(subst /,\\,$(OBJDIR))
endif

.PHONY: clean

$(OUTDIR)/$(TARGET): $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Linking TiCPP
	-@$(CMD_MKBINDIR)
	-@$(CMD_MKLIBDIR)
	-@$(CMD_MKOUTDIR)
	@$(BLDCMD)

clean:
	@echo Cleaning TiCPP
ifeq ($(MKDIR_TYPE),posix)
	-@rm -f $(OUTDIR)/$(TARGET)
	-@rm -rf $(OBJDIR)
else
	-@if exist $(subst /,\,$(OUTDIR)/$(TARGET)) del /q $(subst /,\,$(OUTDIR)/$(TARGET))
	-@if exist $(subst /,\,$(OBJDIR)) del /q $(subst /,\,$(OBJDIR))
	-@if exist $(subst /,\,$(OBJDIR)) rmdir /s /q $(subst /,\,$(OBJDIR))
endif

$(OBJDIR)/tinyxmlerror.o: tinyxmlerror.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/tinystr.o: tinystr.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/ticpp.o: ticpp.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/tinyxml.o: tinyxml.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/tinyxmlparser.o: tinyxmlparser.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

-include $(OBJECTS:%.o=%.d)

=== src/controls/build/propgrid/Makefile ===
# C++ Windowed Executable Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`

ifndef CONFIG
  CONFIG=Release
endif

ifeq ($(CONFIG),Release)
  BINDIR := ../../../../output/lib/wxformbuilder
  LIBDIR := ../../../..
  OBJDIR := .objsu
  OUTDIR := ../../../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "WXMAKINGDLL_PROPGRID" -D "MONOLITHIC" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "../../include"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -O3 -Wall -fPIC -fno-strict-aliasing `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared -s `wx-config --libs`
  LDDEPS :=
  RESFLAGS := -D "WXMAKINGDLL_PROPGRID" -D "MONOLITHIC" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "../../include"
  TARGET := libwx_gtk2u_propgrid-2.8_wxfb.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

ifeq ($(CONFIG),Debug)
  BINDIR := ../../../../output/lib/wxformbuilder
  LIBDIR := ../../../..
  OBJDIR := .objsud
  OUTDIR := ../../../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "WXMAKINGDLL_PROPGRID" -D "MONOLITHIC" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../include"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -g -Wall -fPIC -O0 `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared `wx-config --debug=no --libs`
  LDDEPS :=
  RESFLAGS := -D "WXMAKINGDLL_PROPGRID" -D "MONOLITHIC" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../include"
  TARGET := libwx_gtk2u_propgrid-2.8_wxfb.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

OBJECTS := \
	$(OBJDIR)/props.o \
	$(OBJDIR)/propgrid.o \
	$(OBJDIR)/manager.o \
	$(OBJDIR)/advprops.o \
	$(OBJDIR)/odcombo.o \
	$(OBJDIR)/extras.o \

MKDIR_TYPE := msdos
CMD := $(subst \,\\,$(ComSpec)$(COMSPEC))
ifeq (,$(CMD))
  MKDIR_TYPE := posix
endif
ifeq (/bin/sh.exe,$(SHELL))
  MKDIR_TYPE := posix
endif
ifeq ($(MKDIR_TYPE),posix)
  CMD_MKBINDIR := mkdir -p $(BINDIR)
  CMD_MKLIBDIR := mkdir -p $(LIBDIR)
  CMD_MKOUTDIR := mkdir -p $(OUTDIR)
  CMD_MKOBJDIR := mkdir -p $(OBJDIR)
else
  CMD_MKBINDIR := $(CMD) /c if not exist $(subst /,\\,$(BINDIR)) mkdir $(subst /,\\,$(BINDIR))
  CMD_MKLIBDIR := $(CMD) /c if not exist $(subst /,\\,$(LIBDIR)) mkdir $(subst /,\\,$(LIBDIR))
  CMD_MKOUTDIR := $(CMD) /c if not exist $(subst /,\\,$(OUTDIR)) mkdir $(subst /,\\,$(OUTDIR))
  CMD_MKOBJDIR := $(CMD) /c if not exist $(subst /,\\,$(OBJDIR)) mkdir $(subst /,\\,$(OBJDIR))
endif

.PHONY: clean

$(OUTDIR)/$(TARGET): $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Linking wxPropGrid
	-@$(CMD_MKBINDIR)
	-@$(CMD_MKLIBDIR)
	-@$(CMD_MKOUTDIR)
	@$(BLDCMD)

clean:
	@echo Cleaning wxPropGrid
ifeq ($(MKDIR_TYPE),posix)
	-@rm -f $(OUTDIR)/$(TARGET)
	-@rm -rf $(OBJDIR)
else
	-@if exist $(subst /,\,$(OUTDIR)/$(TARGET)) del /q $(subst /,\,$(OUTDIR)/$(TARGET))
	-@if exist $(subst /,\,$(OBJDIR)) del /q $(subst /,\,$(OBJDIR))
	-@if exist $(subst /,\,$(OBJDIR)) rmdir /s /q $(subst /,\,$(OBJDIR))
endif

$(OBJDIR)/props.o: ../../src/propgrid/props.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/propgrid.o: ../../src/propgrid/propgrid.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/manager.o: ../../src/propgrid/manager.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/advprops.o: ../../src/propgrid/advprops.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/odcombo.o: ../../src/propgrid/odcombo.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/extras.o: ../../src/propgrid/extras.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

-include $(OBJECTS:%.o=%.d)

=== src/controls/build/wxFlatNotebook/Makefile ===
# C++ Shared Library Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`

ifndef CONFIG
  CONFIG=Release
endif

ifeq ($(CONFIG),Release)
  BINDIR := ../../../../output/lib/wxformbuilder
  LIBDIR := ../../../..
  OBJDIR := .objsu
  OUTDIR := ../../../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "WXMAKINGDLL_FNB" -D "MONOLITHIC" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "../../include"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -O3 -Wall -fPIC -fno-strict-aliasing `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared -s `wx-config --libs`
  LDDEPS :=
  RESFLAGS := -D "WXMAKINGDLL_FNB" -D "MONOLITHIC" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "../../include"
  TARGET := libwx_gtk2u_flatnotebook-2.8_wxfb.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

ifeq ($(CONFIG),Debug)
  BINDIR := ../../../../output/lib/wxformbuilder
  LIBDIR := ../../../..
  OBJDIR := .objsud
  OUTDIR := ../../../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "WXMAKINGDLL_FNB" -D "MONOLITHIC" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../include"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -g -Wall -fPIC -O0 `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared `wx-config --debug=no --libs`
  LDDEPS :=
  RESFLAGS := -D "WXMAKINGDLL_FNB" -D "MONOLITHIC" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../include"
  TARGET := libwx_gtk2u_flatnotebook-2.8_wxfb.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

OBJECTS := \
	$(OBJDIR)/xh_fnb.o \
	$(OBJDIR)/fnb_customize_dlg.o \
	$(OBJDIR)/fnb_resources.o \
	$(OBJDIR)/wxFlatNotebook.o \
	$(OBJDIR)/renderer.o \
	$(OBJDIR)/popup_dlg.o \

MKDIR_TYPE := msdos
CMD := $(subst \,\\,$(ComSpec)$(COMSPEC))
ifeq (,$(CMD))
  MKDIR_TYPE := posix
endif
ifeq (/bin/sh.exe,$(SHELL))
  MKDIR_TYPE := posix
endif
ifeq ($(MKDIR_TYPE),posix)
  CMD_MKBINDIR := mkdir -p $(BINDIR)
  CMD_MKLIBDIR := mkdir -p $(LIBDIR)
  CMD_MKOUTDIR := mkdir -p $(OUTDIR)
  CMD_MKOBJDIR := mkdir -p $(OBJDIR)
else
  CMD_MKBINDIR := $(CMD) /c if not exist $(subst /,\\,$(BINDIR)) mkdir $(subst /,\\,$(BINDIR))
  CMD_MKLIBDIR := $(CMD) /c if not exist $(subst /,\\,$(LIBDIR)) mkdir $(subst /,\\,$(LIBDIR))
  CMD_MKOUTDIR := $(CMD) /c if not exist $(subst /,\\,$(OUTDIR)) mkdir $(subst /,\\,$(OUTDIR))
  CMD_MKOBJDIR := $(CMD) /c if not exist $(subst /,\\,$(OBJDIR)) mkdir $(subst /,\\,$(OBJDIR))
endif

.PHONY: clean

$(OUTDIR)/$(TARGET): $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Linking wxFlatNotebook
	-@$(CMD_MKBINDIR)
	-@$(CMD_MKLIBDIR)
	-@$(CMD_MKOUTDIR)
	@$(BLDCMD)

clean:
	@echo Cleaning wxFlatNotebook
ifeq ($(MKDIR_TYPE),posix)
	-@rm -f $(OUTDIR)/$(TARGET)
	-@rm -rf $(OBJDIR)
else
	-@if exist $(subst /,\,$(OUTDIR)/$(TARGET)) del /q $(subst /,\,$(OUTDIR)/$(TARGET))
	-@if exist $(subst /,\,$(OBJDIR)) del /q $(subst /,\,$(OBJDIR))
	-@if exist $(subst /,\,$(OBJDIR)) rmdir /s /q $(subst /,\,$(OBJDIR))
endif

$(OBJDIR)/xh_fnb.o: ../../src/wxFlatNotebook/xh_fnb.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/fnb_customize_dlg.o: ../../src/wxFlatNotebook/fnb_customize_dlg.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/fnb_resources.o: ../../src/wxFlatNotebook/fnb_resources.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/wxFlatNotebook.o: ../../src/wxFlatNotebook/wxFlatNotebook.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/renderer.o: ../../src/wxFlatNotebook/renderer.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/popup_dlg.o: ../../src/wxFlatNotebook/popup_dlg.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

-include $(OBJECTS:%.o=%.d)

=== src/controls/build/wxScintilla/Makefile ===
# C++ Shared Library Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`

ifndef CONFIG
  CONFIG=Release
endif

ifeq ($(CONFIG),Release)
  BINDIR := ../../../../output/lib/wxformbuilder
  LIBDIR := ../../../..
  OBJDIR := .objsu
  OUTDIR := ../../../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "WXMAKINGDLL_SCI" -D "MONOLITHIC" -D "LINK_LEXERS" -D "SCI_LEXER" -D "SCI_NAMESPACE" -D "__WX__" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "GTK" -D "NDEBUG" -I "../../include" -I "../../src/wxScintilla" -I "../../src/wxScintilla/scintilla/include" -I "../../src/wxScintilla/scintilla/src"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -O3 -fPIC -fno-strict-aliasing `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared -s `wx-config --libs`
  LDDEPS :=
  RESFLAGS := -D "WXMAKINGDLL_SCI" -D "MONOLITHIC" -D "LINK_LEXERS" -D "SCI_LEXER" -D "SCI_NAMESPACE" -D "__WX__" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "GTK" -D "NDEBUG" -I "../../include" -I "../../src/wxScintilla" -I "../../src/wxScintilla/scintilla/include" -I "../../src/wxScintilla/scintilla/src"
  TARGET := libwx_gtk2u_scintilla-2.8_wxfb.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

ifeq ($(CONFIG),Debug)
  BINDIR := ../../../../output/lib/wxformbuilder
  LIBDIR := ../../../..
  OBJDIR := .objsud
  OUTDIR := ../../../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "WXMAKINGDLL_SCI" -D "MONOLITHIC" -D "LINK_LEXERS" -D "SCI_LEXER" -D "SCI_NAMESPACE" -D "__WX__" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "GTK" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../include" -I "../../src/wxScintilla" -I "../../src/wxScintilla/scintilla/include" -I "../../src/wxScintilla/scintilla/src"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -g -fPIC -O0 `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared `wx-config --debug=no --libs`
  LDDEPS :=
  RESFLAGS := -D "WXMAKINGDLL_SCI" -D "MONOLITHIC" -D "LINK_LEXERS" -D "SCI_LEXER" -D "SCI_NAMESPACE" -D "__WX__" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "GTK" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../include" -I "../../src/wxScintilla" -I "../../src/wxScintilla/scintilla/include" -I "../../src/wxScintilla/scintilla/src"
  TARGET := libwx_gtk2u_scintilla-2.8_wxfb.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

OBJECTS := \
	$(OBJDIR)/PlatWX.o \
	$(OBJDIR)/ScintillaWX.o \
	$(OBJDIR)/wxscintilla.o \
	$(OBJDIR)/ExternalLexer.o \
	$(OBJDIR)/PositionCache.o \
	$(OBJDIR)/LineMarker.o \
	$(OBJDIR)/LexD.o \
	$(OBJDIR)/Style.o \
	$(OBJDIR)/LexSpecman.o \
	$(OBJDIR)/LexPython.o \
	$(OBJDIR)/LexPOV.o \
	$(OBJDIR)/LexCsound.o \
	$(OBJDIR)/KeyMap.o \
	$(OBJDIR)/LexCPP.o \
	$(OBJDIR)/LexPLM.o \
	$(OBJDIR)/ViewStyle.o \
	$(OBJDIR)/LexRuby.o \
	$(OBJDIR)/LexYAML.o \
	$(OBJDIR)/LexNsis.o \
	$(OBJDIR)/RESearch.o \
	$(OBJDIR)/LexPS.o \
	$(OBJDIR)/ScintillaBase.o \
	$(OBJDIR)/LexKix.o \
	$(OBJDIR)/LexVB.o \
	$(OBJDIR)/LexVHDL.o \
	$(OBJDIR)/AutoComplete.o \
	$(OBJDIR)/Decoration.o \
	$(OBJDIR)/Indicator.o \
	$(OBJDIR)/DocumentAccessor.o \
	$(OBJDIR)/LexCrontab.o \
	$(OBJDIR)/CallTip.o \
	$(OBJDIR)/LexInno.o \
	$(OBJDIR)/LexProgress.o \
	$(OBJDIR)/LexAda.o \
	$(OBJDIR)/LexCaml.o \
	$(OBJDIR)/Document.o \
	$(OBJDIR)/LexScriptol.o \
	$(OBJDIR)/CellBuffer.o \
	$(OBJDIR)/UniConversion.o \
	$(OBJDIR)/LexBullant.o \
	$(OBJDIR)/LexAVE.o \
	$(OBJDIR)/LexEiffel.o \
	$(OBJDIR)/ContractionState.o \
	$(OBJDIR)/LexCmake.o \
	$(OBJDIR)/LexAPDL.o \
	$(OBJDIR)/LexGAP.o \
	$(OBJDIR)/LexBaan.o \
	$(OBJDIR)/LexMSSQL.o \
	$(OBJDIR)/LexCSS.o \
	$(OBJDIR)/LexSpice.o \
	$(OBJDIR)/LexLua.o \
	$(OBJDIR)/LexOthers.o \
	$(OBJDIR)/LexBasic.o \
	$(OBJDIR)/LexVerilog.o \
	$(OBJDIR)/LexOpal.o \
	$(OBJDIR)/LexMetapost.o \
	$(OBJDIR)/LexForth.o \
	$(OBJDIR)/LexEScript.o \
	$(OBJDIR)/LexAU3.o \
	$(OBJDIR)/LexTeX.o \
	$(OBJDIR)/LexSQL.o \
	$(OBJDIR)/LexTADS3.o \
	$(OBJDIR)/LexHaskell.o \
	$(OBJDIR)/LexLisp.o \
	$(OBJDIR)/KeyWords.o \
	$(OBJDIR)/LexLout.o \
	$(OBJDIR)/LexAsm.o \
	$(OBJDIR)/Editor.o \
	$(OBJDIR)/LexFlagship.o \
	$(OBJDIR)/LexBash.o \
	$(OBJDIR)/XPM.o \
	$(OBJDIR)/LexGui4Cli.o \
	$(OBJDIR)/LexAsn1.o \
	$(OBJDIR)/CharClassify.o \
	$(OBJDIR)/LexRebol.o \
	$(OBJDIR)/LexFortran.o \
	$(OBJDIR)/RunStyles.o \
	$(OBJDIR)/LexCLW.o \
	$(OBJDIR)/LexMMIXAL.o \
	$(OBJDIR)/LexSmalltalk.o \
	$(OBJDIR)/LexMPT.o \
	$(OBJDIR)/WindowAccessor.o \
	$(OBJDIR)/LexConf.o \
	$(OBJDIR)/PropSet.o \
	$(OBJDIR)/LexHTML.o \
	$(OBJDIR)/LexPerl.o \
	$(OBJDIR)/LexPB.o \
	$(OBJDIR)/LexPascal.o \
	$(OBJDIR)/StyleContext.o \
	$(OBJDIR)/LexMatlab.o \
	$(OBJDIR)/LexTCL.o \
	$(OBJDIR)/LexErlang.o \

MKDIR_TYPE := msdos
CMD := $(subst \,\\,$(ComSpec)$(COMSPEC))
ifeq (,$(CMD))
  MKDIR_TYPE := posix
endif
ifeq (/bin/sh.exe,$(SHELL))
  MKDIR_TYPE := posix
endif
ifeq ($(MKDIR_TYPE),posix)
  CMD_MKBINDIR := mkdir -p $(BINDIR)
  CMD_MKLIBDIR := mkdir -p $(LIBDIR)
  CMD_MKOUTDIR := mkdir -p $(OUTDIR)
  CMD_MKOBJDIR := mkdir -p $(OBJDIR)
else
  CMD_MKBINDIR := $(CMD) /c if not exist $(subst /,\\,$(BINDIR)) mkdir $(subst /,\\,$(BINDIR))
  CMD_MKLIBDIR := $(CMD) /c if not exist $(subst /,\\,$(LIBDIR)) mkdir $(subst /,\\,$(LIBDIR))
  CMD_MKOUTDIR := $(CMD) /c if not exist $(subst /,\\,$(OUTDIR)) mkdir $(subst /,\\,$(OUTDIR))
  CMD_MKOBJDIR := $(CMD) /c if not exist $(subst /,\\,$(OBJDIR)) mkdir $(subst /,\\,$(OBJDIR))
endif

.PHONY: clean

$(OUTDIR)/$(TARGET): $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Linking wxScintilla
	-@$(CMD_MKBINDIR)
	-@$(CMD_MKLIBDIR)
	-@$(CMD_MKOUTDIR)
	@$(BLDCMD)

clean:
	@echo Cleaning wxScintilla
ifeq ($(MKDIR_TYPE),posix)
	-@rm -f $(OUTDIR)/$(TARGET)
	-@rm -rf $(OBJDIR)
else
	-@if exist $(subst /,\,$(OUTDIR)/$(TARGET)) del /q $(subst /,\,$(OUTDIR)/$(TARGET))
	-@if exist $(subst /,\,$(OBJDIR)) del /q $(subst /,\,$(OBJDIR))
	-@if exist $(subst /,\,$(OBJDIR)) rmdir /s /q $(subst /,\,$(OBJDIR))
endif

$(OBJDIR)/PlatWX.o: ../../src/wxScintilla/PlatWX.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/ScintillaWX.o: ../../src/wxScintilla/ScintillaWX.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/wxscintilla.o: ../../src/wxScintilla/wxscintilla.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/ExternalLexer.o: ../../src/wxScintilla/scintilla/src/ExternalLexer.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/PositionCache.o: ../../src/wxScintilla/scintilla/src/PositionCache.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LineMarker.o: ../../src/wxScintilla/scintilla/src/LineMarker.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexD.o: ../../src/wxScintilla/scintilla/src/LexD.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/Style.o: ../../src/wxScintilla/scintilla/src/Style.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexSpecman.o: ../../src/wxScintilla/scintilla/src/LexSpecman.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexPython.o: ../../src/wxScintilla/scintilla/src/LexPython.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexPOV.o: ../../src/wxScintilla/scintilla/src/LexPOV.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexCsound.o: ../../src/wxScintilla/scintilla/src/LexCsound.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/KeyMap.o: ../../src/wxScintilla/scintilla/src/KeyMap.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexCPP.o: ../../src/wxScintilla/scintilla/src/LexCPP.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexPLM.o: ../../src/wxScintilla/scintilla/src/LexPLM.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/ViewStyle.o: ../../src/wxScintilla/scintilla/src/ViewStyle.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexRuby.o: ../../src/wxScintilla/scintilla/src/LexRuby.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexYAML.o: ../../src/wxScintilla/scintilla/src/LexYAML.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexNsis.o: ../../src/wxScintilla/scintilla/src/LexNsis.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/RESearch.o: ../../src/wxScintilla/scintilla/src/RESearch.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexPS.o: ../../src/wxScintilla/scintilla/src/LexPS.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/ScintillaBase.o: ../../src/wxScintilla/scintilla/src/ScintillaBase.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexKix.o: ../../src/wxScintilla/scintilla/src/LexKix.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexVB.o: ../../src/wxScintilla/scintilla/src/LexVB.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexVHDL.o: ../../src/wxScintilla/scintilla/src/LexVHDL.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/AutoComplete.o: ../../src/wxScintilla/scintilla/src/AutoComplete.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/Decoration.o: ../../src/wxScintilla/scintilla/src/Decoration.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/Indicator.o: ../../src/wxScintilla/scintilla/src/Indicator.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/DocumentAccessor.o: ../../src/wxScintilla/scintilla/src/DocumentAccessor.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexCrontab.o: ../../src/wxScintilla/scintilla/src/LexCrontab.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/CallTip.o: ../../src/wxScintilla/scintilla/src/CallTip.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexInno.o: ../../src/wxScintilla/scintilla/src/LexInno.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexProgress.o: ../../src/wxScintilla/scintilla/src/LexProgress.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexAda.o: ../../src/wxScintilla/scintilla/src/LexAda.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexCaml.o: ../../src/wxScintilla/scintilla/src/LexCaml.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/Document.o: ../../src/wxScintilla/scintilla/src/Document.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexScriptol.o: ../../src/wxScintilla/scintilla/src/LexScriptol.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/CellBuffer.o: ../../src/wxScintilla/scintilla/src/CellBuffer.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/UniConversion.o: ../../src/wxScintilla/scintilla/src/UniConversion.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexBullant.o: ../../src/wxScintilla/scintilla/src/LexBullant.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexAVE.o: ../../src/wxScintilla/scintilla/src/LexAVE.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexEiffel.o: ../../src/wxScintilla/scintilla/src/LexEiffel.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)

=== debian/changelog ===
wxformbuilder (3.1.59-0ubuntu3) trusty; urgency=low

  * Adding missing lib to link for Ubuntu/i386 FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 28 Jan 2014 20:42:17 -0500

wxformbuilder (3.1.59-0ubuntu2) trusty; urgency=low

  * Use format 3.0 (quilt), and remove non-Windows compiler flag
    that caused FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 28 Jan 2014 16:36:45 -0500

wxformbuilder (3.1.59-0ubuntu1) lucid; urgency=low

  * Sync to upstream 3.1.59. (LP: #326747)

 -- Ryan Mulder <rjmyst3@gmail.com>  Sat, 07 Feb 2009 20:51:58 -0500
 

wxformbuilder (3.0.57-0ubuntu2) jaunty; urgency=low

  * FTBFS on 9.04 armel. (LP: #310286)

 -- Ryan Mulder <rjmyst3@gmail.com>  Sun,  21 Dec 2008 14:00:00 -0400
 

wxformbuilder (3.0.57-0ubuntu1) hardy; urgency=low

  * Sync to upstream 3.0.57. Bug fixes only. (LP: #218001)

 -- Ryan Mulder <rjmyst3@gmail.com>  Tue,  15 Apr 2008 20:06:25 -0400
 

wxformbuilder (3.0.56-0ubuntu1) hardy; urgency=low

  * Sync to upstream 3.0.56 (RC8). Bug fixes only. (LP: #203781)

 -- Ryan Mulder <rjmyst3@gmail.com>  Wed,  18 Mar 2008 20:06:25 -0400
 

wxformbuilder (3.0.55-0ubuntu1) hardy; urgency=low

  * Fixed build on architectures other than i386 and amd64. (LP: #192818)

 -- Ryan Mulder <rjmyst3@gmail.com>  Wed,  13 Feb 2008 20:06:25 -0400
 

wxformbuilder (3.0.54-0ubuntu1) hardy; urgency=low

  * Initial Release. (LP: #181412)

 -- Ryan Mulder <rjmyst3@gmail.com>  Mon,  2 Apr 2007 20:06:25 -0400

=== debian/control ===
Source: wxformbuilder
Section: contrib/devel
Priority: optional
XSBC-Original-Maintainer: Ryan Mulder <rjmyst3@gmail.com>
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Build-Depends: debhelper (>= 5), libwxgtk2.8-dev (>= 2.8.4)
Standards-Version: 3.7.3
Homepage: http://www.wxformbuilder.org

Package: wxformbuilder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: WYSIWYG GUI Designer and Code Generator for wxWidgets
 wxFormBuilder is a GUI designer for programs which
 use wxWidgets. It is a very WYSIWYG designer, because it uses
 the actual controls to show the result, not some fake representation.
 .
 Features include generation of C++ or XRC code, custom plugin support,
 and import of XRC code.
